package org.microbridge.servocontrol;

import java.io.IOException;

import org.microbridge.server.AbstractServerListener;
import org.microbridge.server.Server;

//import curiousinventor.com.R;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;

public class ServoControl extends Activity
{
	/**
	 * Called when the activity is first created.
	 */
	static TextView messageBox;
	public static Server server;
   

    public static void updateMessageBox(String msg)
    {
    	messageBox.append(msg);
    	try
		{
    		byte[] temp = {'h','i'};
			//server.send(new byte[] { (byte)x, (byte)y });
			server.send(msg.getBytes("UTF8"));
		} catch (IOException e)
		{
			Log.e("microbridge", "problem sending TCP message", e);
		}		
		
		//invalidate();
    }
	
	
	
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
        messageBox=(TextView)findViewById(R.id.messageBox);
		// Set full screen view, no title
//		getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
//		requestWindowFeature(Window.FEATURE_NO_TITLE);
		
		// Create TCP server
		server = null;
		try
		{
			server = new Server(4567);
			server.start();
		} catch (IOException e)
		{
			Log.e("microbridge", "Unable to start TCP server", e);
			System.exit(-1);
		}
		
		server.addListener(new AbstractServerListener() {
			public void onReceive(org.microbridge.server.Client client, byte[] data)
			{				
				//if (data.length<2) return;				
				//sensorValue = (data[0] & 0xff) | ((data[1] & 0xff) << 8);				
				//postInvalidate();
			};
			
		});
		
//		JoystickView joystick = new JoystickView(this, server);
//		setContentView(joystick);
//		joystick.requestFocus();

	}

}